Subject: Re: bug#41708: "guix weather" : 504 error

From: zimoun <[email-masked]>
Date: Wed, 24 Jun 2020 12:10:01 +0200

Hi Chris,

On Sat, 20 Jun 2020 at 10:22, Christopher Baines <[email-masked]> wrote:

> > --8<---------------cut here---------------start------------->8---
> > $ guix weather
> > computing 13,814 package derivations for x86_64-linux...
> > looking for 14,354 store items on https://ci.guix.gnu.org...
> > updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> > https://ci.guix.gnu.org
> >   88.3% substitutes available (12,672 out of 14,354)
> >   at least 72,508.1 MiB of nars (compressed)
> >   118,880.3 MiB on disk (uncompressed)
> >   0.001 seconds per request (12.8 seconds in total)
> >   1,123.2 requests per second
> >   'https://ci.guix.gnu.org/api/queue?nr=1000' returned 504 ("Gateway Time-out")
> > --8<---------------cut here---------------end--------------->8---
>
> Did you check if any pages loaded for Cuirass, or was it just this API
> endpoint that was timing out?

I am not sure to understand your both questions.
What I see as an end-user is again "returned 504 ("Gateway
Time-out")".  And I do not know if something has changed on
ci.guix.gnu.org or if there is another problem.
Tell me if I can do something for helping.

Cheers,
simon